module CWellSurveyDataVariables
    implicit none
    public
    
    ! types
    type, bind(c), public :: CSurveyDataItem
        real(8) :: MeasuredDepth
        real(8) :: Inclination
        real(8) :: Azimoth
        real(8) :: TotalVerticalDepth
        real(8) :: X
        real(8) :: Y
        real(8) :: Z
    end type CSurveyDataItem

    Type :: WellSurveyDataType
        integer :: Count = 0
        type(CSurveyDataItem), allocatable :: Items(:)
    End Type WellSurveyDataType
    
    ! Type(WellSurveyDataType)::WellSurveyData
    contains
end module CWellSurveyDataVariables